| Home | Libraries | People | FAQ | More

## Function template rotate_copy

boost::compute::rotate_copy

## Synopsis

    // In header: <boost/compute/algorithm/rotate_copy.hpp>

    template<typename InputIterator, typename OutputIterator>
      void rotate_copy(InputIterator first, InputIterator n_first,
                       InputIterator last, OutputIterator result,
                       command_queue & queue = system::default_queue());

## Description

Performs left rotation such that element at n_first comes to the beginning and the output is stored in range starting at result.

See Also:

rotate()